Package org.springframework.security.config.annotation

# Interface SecurityBuilder<O>

Type Parameters:
  `O` - The type of the Object being built

All Known Subinterfaces:
  `HttpSecurityBuilder<H>`, `ProviderManagerBuilder<B>`

All Known Implementing Classes:
  `AbstractConfiguredSecurityBuilder`, `AbstractSecurityBuilder`, `AuthenticationManagerBuilder`, `HttpSecurity`, `WebSecurity`

public interface SecurityBuilder<O>
Interface for building an Object

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`O`
`build()`
Builds the object and returns it or null.

## Method Details

### build

O build() throws Exception
Builds the object and returns it or null.

Returns:
  the Object to be built or null if the implementation allows it.
Throws:
  `Exception` - if an error occurred when building the Object